* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    width: 100%;
    height: 100%;
    font-family: 'Barlow', sans-serif;
}

a {
    color: white;
    text-decoration: none;
}

a:hover {
    color: rgb(206, 206, 206);
    cursor: pointer;
}

a.text-footer {
    font-weight: normal;
    font-size: 3vh;
}

span.text-footer {
    font-weight: bold;
    font-size: 3vh;
}


span {
    color: white;
}

button.efeito {
    border-radius: 8px;
    border-width: 0px;
    background-color: #f5b506;
    font-weight: bold;
    font-size: 3vh;
    color: #001d86;
    padding-left: 6vh;
    padding-right: 6vh;
    padding-bottom: 1vh;
    padding-top: 1vh;
    box-shadow: 7px 7px 7px rgba(0, 0, 0, 0.5);
    transition: all 0.4s ease;
    cursor: pointer;
}

button.efeito:hover {
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.5);
    transform: translateY(5px);
}

footer {
    padding-top: 5vh;
    padding-bottom: 5vh;
}

.nav-bar {
    gap: 6vh;
    height: 16vh;
}

.text-nav {
    font-weight: bold;
    font-size: 2.2vh;
}

#text-plano1 {
    font-weight: bold;
    font-size: 7vh;
    color: #f5b506;
    font-style: italic;
}

#text-plano2 {
    font-size: 7vh;
    color: white;
}

.espaco-item {
    gap: 6vh;
}

.alinhar {
    align-items: flex-start;
    left: auto;
}

.flex-box {
    display: flex;
    align-items: center;
    justify-content: center;
}

.align-vertical {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 5vh;
}

.tam-div {
    flex-basis: 40vh;
}

.tam-div-cliente {
    flex-basis: 25vh;
}

.tam-div-bv {
    flex-basis: 40vh;
}

.tam-div-1000 {
    flex-basis: 40vh;
}

.tam-div-planos {
    flex-basis: 60vh;
}

.tam-div-footer {
    width: 50vh;
}

.tam-banner {
    width: 100%;
}

#ali-btn-pers {
    height: 55%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

#tam-div-suporte {
    flex-basis: 50vh;
    height: 100%;
}

.tam-div-suporte {
    flex-basis: 70vh;
    height: 100%;
}

.cor-div {
    background-color: #0029c1;
}

.gap-footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5vh;
}

.gap-link-footer {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 1.5vh;
}

.gap-link-footer {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 1.5vh;
}

.flex-footer {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    gap: 25vh;
    flex-wrap: wrap;
}

.flex-links-footer {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    gap: 10vh;
}

.align-footer {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1.5vh;
}

.flex-endereco {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1vh;
}

.tam-div-footer img {
    max-width: 100%;
}

.fundo-bv {
    width: 100%;
    height: 35vh;
    background-image: url('../images/FUNDO-AREA-SEJA-BEM-VINDO.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.fundo-padrao {
    width: 100%;
    height: 55vh;
    background-image: url('../images/FUNDO-FOTO-ATENDENTE.webp');
    background-size: cover;
    background-repeat: no-repeat;
}

.fundo-personalar-planos {
    width: 100%;
    height: 55vh;
    background-image: url('../images/FUNDO-AREA-PERSONALIZE-PLANO.webp');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}


.fundo-planos {
    background-image: url('../images/PLANOS-AREA-PERSONALIZE-PLANO.webp');
    background-size: 80% auto;
    background-repeat: no-repeat;
    background-position: center bottom;
}

.banner-dados-moveis img{
    width: 100%;
    height: 100%;
    display: block;
}

.button-logo {
    all: unset;
    cursor: pointer;
}

.alerta-temporario {
    position: fixed;
    top: -80px;
    left: 50%;
    transform: translateX(-50%);
    background: #ffe58f;
    color: #3b3b3b;
    padding: 0.5rem 1rem;
    border-radius: 10px;
    font-weight: bold;
    font-size: 1rem;
    opacity: 0;
    z-index: 10000;
    display: flex;
    align-items: center;
    align-self: center;
    gap: 0.3rem;
    transition: all 0.4s ease;
    border: 2px solid #facc15;
}

.alerta-temporario.mostrar {
    top: 20px;
    opacity: 1;
}

.erro {
    display: none;
    color: red;
    font-size: 0.9em;
}

input:invalid+.erro {
    display: inline;
}

.msg-erro {
    margin-bottom: 5px;
    font-size: 1.3rem;
}

.banner-rotativo {
    width: 100%;
    height: auto;
    overflow: hidden;
    position: relative;
}

.banner-rotativo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    transition: opacity 1s ease-in-out;
    opacity: 1;
}


.indicadores-banner {
    position: absolute;
    bottom: 1px;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    z-index: 10;
}

.indicador-banner {
    display: inline-block;
    width: 12px;
    height: 12px;
    background-color: #ccc;
    border-radius: 50%;
    margin: 0 5px;
    transition: background-color 0.3s ease, transform 0.2s ease;
    cursor: pointer;
}

.indicador-banner:hover {
    transform: scale(1.2);
    background-color: #999;
}

.indicador-banner.ativo {
    background-color: #615e5e;
}

.instagram-float {
    position: fixed !important;
    bottom: 20px;
    right: 20px;
    width: 60px;
    height: 60px;
    animation: vibrar 0.6s ease-in-out 1;
}

@keyframes vibrar {
    0% { transform: rotate(0deg); }
    20% { transform: rotate(-15deg); }
    40% { transform: rotate(15deg); }
    60% { transform: rotate(-10deg); }
    80% { transform: rotate(10deg); }
    100% { transform: rotate(0deg); }
}


